Are Sly blocking firestick devices for iptv?

You can ask by all means, many providers don't support enigma2 devices any more but yours might.

If they don't, when your sub expires come on here and post on the request thread asking for a sub for enigma2.
Cheers for that - must 🤞as only just renewed for a year! Is that because E2 require the URL?
 
Top